// PopupAndMouseHookDlg.h : header file
//

#if !defined(AFX_POPUPANDMOUSEHOOKDLG_H__EAF870E8_50AE_4557_89DD_87CAF53BEB65__INCLUDED_)
#define AFX_POPUPANDMOUSEHOOKDLG_H__EAF870E8_50AE_4557_89DD_87CAF53BEB65__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

/////////////////////////////////////////////////////////////////////////////
// CPopupAndMouseHookDlg dialog
typedef enum tag_eAreaHitTest 
{ 
	enHit = -1,		
		enHit0,
		enHit1,
		enHit2,
		enHit4,
		enHitNC 
}eAreaHitTest;

class CPopupAndMouseHookDlg : public CDialog
{
// Construction
public:
	eAreaHitTest AreaHitTest(CPoint pt);
	CPopupAndMouseHookDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CPopupAndMouseHookDlg)
	enum { IDD = IDD_POPUPANDMOUSEHOOK_DIALOG };
	CString	m_csMousePos;
	CString	m_csMouseMsg;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CPopupAndMouseHookDlg)
	public:
	virtual BOOL DestroyWindow();
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
public:
		void ShowPopup();
protected:
	void SetHook();
	void KillHook();
	void CalcAreas();
	HICON m_hIcon;
	CRect m_rectAreaArray[4];
	eAreaHitTest m_enHitTest;
	eAreaHitTest m_enCurHitTest;
	BOOL m_bProc;

	// Generated message map functions
	//{{AFX_MSG(CPopupAndMouseHookDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	//}}AFX_MSG
	afx_msg LRESULT OnMouseHook(WPARAM wParam, LPARAM lParam);
	afx_msg void OnEnterMenuLoop(BOOL bIsTrackPopupMenu);
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_POPUPANDMOUSEHOOKDLG_H__EAF870E8_50AE_4557_89DD_87CAF53BEB65__INCLUDED_)
